> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Payout

> Error codes for POST /v3/payout/{id}/confirm

### POST v3/payout/\{id}/confirm

| Code  | Message                                                                                                                                     | HTTP Status |
| ----- | ------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| 20195 | Field is required and must be a valid payout\_id                                                                                            | 400         |
| 20390 | Field cannot be empty, must be a valid transaction hash                                                                                     | 400         |
| 20391 | Field must be either 'balance' or a valid xid type with prefix 'col\_'                                                                      | 400         |
| 20392 | Transaction hash already used for other payment, please try again with different transaction hash.                                          | 400         |
| 20393 | Payout status is invalid to perform this action, payout has moved to higher status.                                                         | 409         |
| 20394 | The collect created is already linked to a payout. Please try with different collect id or transaction hash.                                | 400         |
| 20395 | The transaction hash provided is not valid or mismatched with collect id. Please try with different transaction hash.                       | 400         |
| 20396 | The balance impact or the currency of the collect does not match with the payout. Please try with different transaction hash or collect id. | 400         |
| 20397 | The account ID of the payout does not match the account ID of the collect. Please ensure both transactions belong to the same account.      | 401         |
| 20398 | Collect status is invalid to perform this action                                                                                            | 400         |
| 20399 | Payout status is invalid to perform this action, payout was not funded within the time limit and has failed.                                | 409         |
| 20631 | Holding currency of payout and collect do not match                                                                                         | 400         |

#### Internal Service Errors

| Code | Message                    | HTTP Status |
| ---- | -------------------------- | ----------- |
| 4008 | Invalid quote\_id provided | 400         |
| 4304 | FX quote not found         | 404         |
